> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Client Review Templates



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/client-review-templates
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/client-review-templates:
    post:
      tags:
        - Client Review Templates
      summary: Create Client Review Templates
      operationId: ClientReviewTemplatesController_create_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 255
                description:
                  anyOf:
                    - type: string
                      maxLength: 2000
                    - type: 'null'
                sections:
                  maxItems: 12
                  type: array
                  items:
                    oneOf:
                      - type: object
                        properties:
                          id:
                            type: string
                            pattern: ^[A-Za-z0-9_-]{1,64}$
                          hidden:
                            default: false
                            type: boolean
                          kind:
                            type: string
                            enum:
                              - cover
                          props:
                            type: object
                            properties:
                              title:
                                anyOf:
                                  - type: string
                                    maxLength: 255
                                  - type: 'null'
                              subtitle:
                                anyOf:
                                  - type: string
                                    maxLength: 500
                                  - type: 'null'
                              coverFields:
                                maxItems: 8
                                type: array
                                items:
                                  type: string
                                  enum:
                                    - projectName
                                    - projectNumber
                                    - version
                                    - issueDate
                                    - clientName
                                    - clientAddress
                                    - companyName
                                    - companyAddress
                            required:
                              - title
                              - subtitle
                            additionalProperties: false
                        required:
                          - id
                          - kind
                          - props
                        additionalProperties: false
                      - type: object
                        properties:
                          id:
                            type: string
                            pattern: ^[A-Za-z0-9_-]{1,64}$
                          hidden:
                            default: false
                            type: boolean
                          kind:
                            type: string
                            enum:
                              - contract
                          props:
                            type: object
                            properties:
                              text:
                                type: string
                                maxLength: 20000
                              fiType:
                                anyOf:
                                  - type: string
                                    enum:
                                      - OFCI
                                      - OFOI
                                      - CFCI
                                      - CFOI
                                  - type: 'null'
                              depositPct:
                                anyOf:
                                  - type: number
                                    minimum: 0
                                    maximum: 100
                                  - type: 'null'
                              title:
                                anyOf:
                                  - type: string
                                    maxLength: 255
                                  - type: 'null'
                              subtitle:
                                anyOf:
                                  - type: string
                                    maxLength: 500
                                  - type: 'null'
                              mergeFields:
                                type: array
                                items:
                                  type: string
                              terms:
                                type: string
                                maxLength: 20000
                              initials:
                                type: boolean
                              serif:
                                type: boolean
                              showTerms:
                                type: boolean
                              customFields:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                      pattern: ^[A-Za-z0-9_-]{1,64}$
                                    token:
                                      type: string
                                      pattern: ^[A-Za-z0-9_-]+$
                                    label:
                                      type: string
                                      minLength: 1
                                      maxLength: 255
                                  required:
                                    - id
                                    - token
                                    - label
                                  additionalProperties: false
                              fieldValues:
                                allOf:
                                  - type: object
                                    propertyNames:
                                      type: string
                                      pattern: ^[A-Za-z0-9_-]{1,64}$
                                    additionalProperties:
                                      type: string
                                      maxLength: 20000
                                  - {}
                            required:
                              - text
                              - fiType
                              - depositPct
                            additionalProperties: false
                        required:
                          - id
                          - kind
                          - props
                        additionalProperties: false
                      - type: object
                        properties:
                          id:
                            type: string
                            pattern: ^[A-Za-z0-9_-]{1,64}$
                          hidden:
                            default: false
                            type: boolean
                          kind:
                            type: string
                            enum:
                              - items
                          props:
                            type: object
                            properties:
                              title:
                                anyOf:
                                  - type: string
                                    maxLength: 255
                                  - type: 'null'
                              includeAlternatives:
                                default: false
                                type: boolean
                              layout:
                                type: string
                                enum:
                                  - list
                                  - grid
                              imageSize:
                                type: string
                                enum:
                                  - small
                                  - medium
                                  - large
                              grouping:
                                type: string
                                enum:
                                  - none
                                  - area
                                  - category
                              fields:
                                minItems: 1
                                maxItems: 15
                                type: array
                                items:
                                  type: string
                                  enum:
                                    - name
                                    - manufacturer
                                    - supplier
                                    - productType
                                    - category
                                    - area
                                    - dimensions
                                    - finish
                                    - leadTime
                                    - color
                                    - material
                                    - sku
                                    - quantity
                                    - unitPrice
                                    - total
                              instructions:
                                anyOf:
                                  - type: string
                                    maxLength: 4000
                                  - type: 'null'
                              fieldValues:
                                allOf:
                                  - type: object
                                    propertyNames:
                                      type: string
                                      pattern: ^[A-Za-z0-9_-]{1,64}$
                                    additionalProperties:
                                      type: string
                                      maxLength: 20000
                                  - {}
                            additionalProperties: false
                        required:
                          - id
                          - kind
                          - props
                        additionalProperties: false
                      - type: object
                        properties:
                          id:
                            type: string
                            pattern: ^[A-Za-z0-9_-]{1,64}$
                          hidden:
                            default: false
                            type: boolean
                          kind:
                            type: string
                            enum:
                              - summaryTable
                          props:
                            type: object
                            properties:
                              title:
                                anyOf:
                                  - type: string
                                    maxLength: 255
                                  - type: 'null'
                              columns:
                                minItems: 1
                                maxItems: 15
                                type: array
                                items:
                                  type: string
                                  enum:
                                    - refNumber
                                    - image
                                    - name
                                    - manufacturer
                                    - category
                                    - area
                                    - finish
                                    - leadTime
                                    - quantity
                                    - unitPrice
                                    - subtotal
                                    - tax
                                    - total
                                    - previousUnitPrice
                                    - priceDelta
                              grouping:
                                type: string
                                enum:
                                  - none
                                  - area
                                  - category
                              groupSubtotals:
                                type: boolean
                              grandTotal:
                                type: boolean
                              showDepositBalance:
                                type: boolean
                              note:
                                anyOf:
                                  - type: string
                                    maxLength: 4000
                                  - type: 'null'
                              highlightPreviousPrice:
                                type: boolean
                            additionalProperties: false
                        required:
                          - id
                          - kind
                          - props
                        additionalProperties: false
                      - type: object
                        properties:
                          id:
                            type: string
                            pattern: ^[A-Za-z0-9_-]{1,64}$
                          hidden:
                            default: false
                            type: boolean
                          kind:
                            type: string
                            enum:
                              - signature
                          props:
                            type: object
                            properties:
                              note:
                                anyOf:
                                  - type: string
                                    maxLength: 4000
                                  - type: 'null'
                              title:
                                anyOf:
                                  - type: string
                                    maxLength: 255
                                  - type: 'null'
                              consent:
                                anyOf:
                                  - type: string
                                    maxLength: 4000
                                  - type: 'null'
                              roles:
                                maxItems: 3
                                type: array
                                items:
                                  type: string
                                  minLength: 1
                                  maxLength: 120
                              showName:
                                type: boolean
                              showTitle:
                                type: boolean
                              showDate:
                                type: boolean
                              countersignature:
                                type: boolean
                            required:
                              - note
                            additionalProperties: false
                        required:
                          - id
                          - kind
                          - props
                        additionalProperties: false
                      - type: object
                        properties:
                          id:
                            type: string
                            pattern: ^[A-Za-z0-9_-]{1,64}$
                          hidden:
                            default: false
                            type: boolean
                          kind:
                            type: string
                            enum:
                              - presentation
                          props:
                            type: object
                            properties: {}
                            additionalProperties: false
                        required:
                          - id
                          - kind
                          - props
                        additionalProperties: false
              required:
                - name
                - sections
              additionalProperties: false
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.